---
title: Release Engineering (SIG/Core)
---

# Release Engineering (SIG/Core) Wiki

## About

The Rocky Linux Release Engineering Team (who also refers to themselves as SIG/Core) dedicates themselves to the development, building, management, production, and release of Rocky Linux. This group combines development and infrastructure in a single cohesive unit of individuals that ultimately make the distribution happen.

Members of this team are also members of Special Interest Groups, such as SIG/AltArch or SIG/Kernel. Some members can also be found in other parts of the Enterprise Linux community as a whole, such as EPEL.

## Mission

Release Engineering strives to ensure a stable distribution is developed, built, tested, and provided to the community from the RESF as a compatible derivative of Red Hat Enterprise Linux. To achieve this goal, some of the things we do are:

* Ensuring a quality and fully compatible release product
* Developing and iterating on the build systems and architecture
* Developing all code in the open
* Setting the technical direction for the build system architecture
* Release of beta and final products to the end users and mirrors
* Release of timely updates to the end users and mirrors

See the [What We Do](what_we_do.md) page for a more detailed explanation of our activities.

## Getting In Touch / Contributing

There are various ways to get in touch with Release Engineering and provide help, assistance, or even just ideas that can benefit us or the entire community.

* Chat

    * Mattermost: [~development](https://chat.rockylinux.org/rocky-linux/channels/development) on Mattermost
    * IRC: #rockylinux and #rockylinux-devel on [libera.chat](https://libera.chat)
    * Matrix: [Rocky Linux General / Support](https://matrix.to/#/#rockylinux-support:matrix.org) and [Rocky Linux Development](https://matrix.to/#/#rockylinux-development:matrix.org)

* [RESF SIG/Core Issue Tracker](https://git.resf.org/sig_core/meta/issues)
* [Mail List](https://lists.resf.org/mailman3/lists/rocky.lists.resf.org/)

For a list of our members, see the [Members](members.md) page.

## Resources and Rocky Linux Policies

* [RESF Git Service](https://git.resf.org)
* [Rocky Linux GitHub](https://github.com/rocky-linux)
* [Rocky Linux GitLab](https://git.rockylinux.org)
* [Rocky Linux Image Guide](https://wiki.rockylinux.org/rocky/image/)
* [Rocky Linux Repository Guide](https://wiki.rockylinux.org/rocky/repo/)
* [Rocky Linux Release Version Guide/Policy](https://wiki.rockylinux.org/rocky/version/)
* [Special Interest Groups](https://wiki.rockylinux.org/special_interest_groups/).

## General Packaging Resources

* [RPM Packaging Guide](https://rpm-packaging-guide.github.io/)
* [Fedora Packaging Guidelines](https://docs.fedoraproject.org/en-US/packaging-guidelines/)
* [Basic Packaging Tutorial](https://docs.fedoraproject.org/en-US/package-maintainers/Packaging_Tutorial_GNU_Hello/)
